
Smart Proxy - Feature #3067

Request Support for Oracle SPARC provisioning with ISC-DHCP server.

09/10/2013 02:54 PM - Sean Alderman

Status: Closed   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have had no luck getting help from the ISC-DHCP-Users list on using omapi to setup vendor-class-options or hosts defined within a

group.  I am out of ideas, but I'm really hoping that this feature set can be added to the unattended provisioning, since the Wiki

discusses how to provision both SPARC and X86 Solaris.  X86 Solaris provisioning works great with ISC-DHCP by following the wiki.

I realize this is a small market share platform, but it is a stumbling block for other admins to adopt Foreman for provisioning and life

cycle management.

Associated revisions

Revision f1ce57f3 - 12/12/2013 10:57 AM - dima 

refs #3067 - domain stripped from installation media hostname for Solaris

Revision 0092c5de - 01/03/2014 08:32 AM - dima 

fixes #3067 - add sparc solaris dhcp options for ISC

History

#1 - 11/22/2013 08:04 AM - Alex Feltin

Sean,

I was successful with following OMAPI options:

set statements="vendor-option-space SUNW; next-server=0a:e5:0b:18; filename \"inetboot.sun4u.sol_10_0811_sparc.mbl\"; option

SUNW.JumpStart-server \"js-server:/Solaris/jumpstart\"; option SUNW.sysid-config-file-server

\"js-server:/Solaris/jumpstart/sysidcfg/sysidcfg_primary/sysidcfg\"; option SUNW.install-server-hostname \"js-server\"; option

SUNW.install-server-ip-address 10.229.11.24; option SUNW.install-path \"/Solaris/install/Solaris_5.10_sparc_hw0811\"; option

SUNW.root-server-hostname \"js-server\"; option SUNW.root-server-ip-address 10.229.11.24; option SUNW.root-path-name

\"/Solaris/install/Solaris_5.10_sparc_hw0811/Solaris_10/Tools/Boot\";"

This results in the following in the leases file:

host sparc-host{

dynamic;

hardware ethernet 00:21:28:6d:62:e8;

fixed-address 10.229.11.38;

supersede server.vendor-option-space = "SUNW";

supersede server.next-server = 0a:e5:0b:18;

supersede server.filename = "inetboot.sun4u.sol_10_0811_sparc.mbl";

supersede SUNW.JumpStart-server = "js-server:/Solaris/jumpstart";

supersede SUNW.sysid-config-file-server =

"js-server:/Solaris/jumpstart/sysidcfg/sysidcfg_primary/sysidcfg";

supersede SUNW.install-server-hostname = "js-server";

supersede SUNW.install-server-ip-address = 0a:e5:0b:18;

supersede SUNW.install-path =

"/Solaris/install/Solaris_5.10_sparc_hw0811";

supersede SUNW.root-server-hostname = "js-server";

supersede SUNW.root-server-ip-address = 0a:e5:0b:18;

supersede SUNW.root-path-name =

"/Solaris/install/Solaris_5.10_sparc_hw0811/Solaris_10/Tools/Boot";
}

I am able to jumpstart Solaris 10 SPARC U10, however I experience some weirdness with sysidcfg getting mounted and unmounted and it drops me

into interactive installer. I can clearly see it in tcpdump capture. I verified with dhcp and all SUNW options are picked up by the client.

The main point is that it is entirely possible to achieve via OMAPI, so we should ask this to be implemented in Foreman.

Regards,

AF

#2 - 12/09/2013 09:59 AM - Dominic Cleal

- Category set to DHCP

- Status changed from New to Ready For Testing

- Target version set to 1.9.3

https://github.com/theforeman/smart-proxy/pull/117

#3 - 01/03/2014 08:31 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#4 - 01/03/2014 08:52 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0092c5de4c4cfd1a92e2b7c5f0841640f1da789e.
